Scrapy 1.1 (for python3) 的安装步骤 (Ubuntu 15.10)

先安装 python 版本

sudo apt-get install python3.5 python3.5-dev

然后安装 pip 库

sudo wget https://bootstrap.pypa.io/get-pip.py
sudo python3.5 get-pip.py

然后就有 pip3.5 这个命令了

在安装 scrapy 之前,我们需要安装一些系统级别的依赖库

sudo apt-get install -y \
    libffi-dev \
    libxml2-dev \
    libxslt1-dev \
    {gcc,g++}-arm-linux-gnueabi{,hf} \
    openssl \
    libssl-dev

最后安装这个应该是可以了!

sudo pip3.5 install scrapy

【转载请附】愿以此功德,回向 >>

原文链接:https://www.huangwenchao.com.cn/2016/04/scrapy-110rc3.html【Scrapy 1.1 (for python3) 的安装步骤 (Ubuntu 15.10)】

发表评论

电子邮件地址不会被公开。 必填项已用*标注